@charset "utf-8";

/** ***************************************************************************
 * 紹介文
 * ************************************************************************* */

#lead div.content div.catchcopy {
  margin-bottom: 20px;
  color: rgb(var(--accentcolor-1));
  line-height: 1.5;
  font-size: 1.375em;
  font-weight: 700;
  text-align: left;
}

#lead div.content div.text {
  line-height: 1.8;
}

@media screen and (min-width:1001px) {

  #lead div.content {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

  #lead div.content div.catchcopy {
    padding-left: 8%;
    padding-right: 8%;
    font-size: 2.25em;
    font-weight: 600;
    writing-mode: vertical-rl;
  }

  #lead div.content div.text {
    line-height: 2;
    flex-grow: 1;
  }

}

/** ***************************************************************************
 * 数字で見るエルテック
 * ************************************************************************* */

#ltec div.contents {
  margin-bottom: -10px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: space-between;
}

#ltec div.contents div.item {
  width: calc(50% - 5px);
  margin-bottom: 10px;
  border-radius: 10px;
  overflow: hidden;
}

@media screen and (min-width:1001px) {

  #ltec div.contents {
    margin-bottom: -40px;
  }

  #ltec div.contents div.item {
    width: calc(100% / 3 - 25px);
    margin-bottom: 40px;
    border-radius: unset;
  }

}

/** ***************************************************************************
 * 職種紹介
 * ************************************************************************* */

/**
 * 職種
 */

#occupation div.occupation section.item {
  counter-increment: number;
}

@media screen and (min-width:1001px) {

  #occupation div.occupation section.item {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/* タイトル */

#occupation div.occupation .occupation-title {
  margin-bottom: 20px;
  padding-bottom: 5px;
  line-height: 1.5;
  font-size: 1.25em;
  font-weight: 600;
  border-bottom: 1px solid #ccc;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

#occupation div.occupation .occupation-title::before {
  content: counter(number);
  width: 1.5em;
  height: 1.5em;
  margin-right: 0.5em;
  color: #fff;
  letter-spacing: 0;
  line-height: 0.75;
  font-family: Jost, sans-serif;
  font-size: 1.3em;
  font-style: italic;
  font-weight: 500;
  border-radius: 9999px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(var(--accentcolor-1));
}

@media screen and (min-width:1001px) {

  #occupation div.occupation .occupation-title {
    width: 100%;
    margin-bottom: 30px;
    font-size: 1.875em;
  }

}

/* 画像 */

#occupation div.occupation div.image {
  margin-bottom: 15px;
}

#occupation div.occupation div.image img {
  border-radius: 20px;
}

@media screen and (min-width:1001px) {

  #occupation div.occupation div.image {
    width: 48%;
    margin: unset;
    align-self: flex-start;
  }

  #occupation div.occupation div.image img {
    border-radius: 30px;
  }

}

/* 内容 */

@media screen and (min-width:1001px) {

  #occupation div.occupation div.content {
    width: 48%;
    line-height: 1.8;
  }

}

/** ***************************************************************************
 * 募集要項
 * ************************************************************************* */

#recruit div.recruit {
  padding: 10% 5%;
  border-radius: 20px;
  background-color: rgb(var(--accentcolor-2));
}

@media screen and (min-width:1001px) {

  #recruit div.recruit {
    padding: 5%;
  }

}

/**
 * ページナビ
 */

#recruit div.recruit ul.pagenav {
  margin-bottom: 20px;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: flex-start;
}

#recruit div.recruit ul.pagenav li {
  min-width: calc(100% / 2 - 10px);
  margin: 0 5px 10px;
}

#recruit div.recruit ul.pagenav li a {
  height: 100%;
  padding: 0.25em 1.5em 0.375em;
  font-weight: 600;
  text-decoration: none;
  border-radius: 9999px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition:
    color 0.3s ease-in-out 0.0s,
    background-color 0.3s ease-in-out 0.0s;
  color: inherit;
  background-color: #fff;
}

#recruit div.recruit ul.pagenav li a:hover,
#recruit div.recruit ul.pagenav li.active a {
  color: #fff;
  background-color: rgb(var(--accentcolor-1));
}

@media screen and (min-width:1001px) {

  #recruit div.recruit ul.pagenav {
    margin-bottom: 40px;
  }

  #recruit div.recruit ul.pagenav li {
    min-width: calc(100% / 4 - 20px);
    margin: 0 10px 10px;
  }

}

/**
 * 募集要項
 */

#recruit div.recruit div.article {
  position: relative;
  z-index: 0;
}

#recruit div.recruit div.article section.item {
  height: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
  transition: opacity 0.6s ease-in-out 0.0s;
  opacity: 0;
}

#recruit div.recruit div.article section.item.active {
  height: auto;
  position: static;
  opacity: 1;
}

/**
 * タイトル
 */

#recruit div.recruit .recruit-title {
  margin-bottom: 15px;
  line-height: 1.5;
  font-size: 1.25em;
  font-weight: 600;
}

@media screen and (min-width:1001px) {

  #recruit div.recruit .recruit-title {
    font-size: 1.875em;
  }

}

/** ***************************************************************************
 * エントリー
 * ************************************************************************* */

/**
 * 紹介文
 */

#entry div.lead .required {
  margin-right: 0.5em;
  padding: 5px 8px 7px;
  color: #fff;
  letter-spacing: 1px;
  line-height: 1;
  font-size: 0.75em;
  font-weight: 500;
  border-radius: 5px;
  background-color: #f00;
  vertical-align: middle;
  display: inline-block;
}

/**
 * エントリーフォーム
 */

#entry div.entry {
  padding: 10% 5% 15%;
  border-radius: 30px;
  background-color: rgb(var(--accentcolor-2));
}

@media screen and (min-width:1001px) {

  #entry div.entry {
    padding: 5% 5% 8%;
    border-radius: 60px;
  }

}
